SOURCES	+= slidemain.cpp \
	imageline.cpp\
	soundline.cpp \
	filterline.cpp \
	slidertime.cpp  \
	dialogfilter.cpp \
	dialogcreate.cpp  \
	imagepreview.cpp   \
	xml_slideshow.cpp   \
	../rgba.cpp \
	../modifiers.cpp

HEADERS	+= xml_slideshow.h \
	imageline.h \
	soundline.h  \
	filterline.h  \
	slidertime.h   \
	dialogfilter.h  \
	dialogcreate.h   \
	imagepreview.h    \
	../rgba.h \
	../modifiers.h

unix {
  UI_DIR = ../.ui
  MOC_DIR = ../.moc
  OBJECTS_DIR = ../.obj
}
FORMS	= dialogslide.ui \
	dialogimage.ui \
	uidialogcreate.ui

# here we set the default type ...
WHICH_DEBUG = $$(DEBUG_QDVDAUTHOR)
isEmpty(WHICH_DEBUG)	{
	WHICH_DEBUG=release
}

WHICH_PREFIX = $$(PREFIX)
isEmpty( WHICH_PREFIX ) {
	WHICH_PREFIX =/usr
}

!exists (../i18n/qslideshow_de.qm)	{
	LRELEASE=$$(QTDIR)/bin/lrelease
	!exists ( $${LRELEASE} ) {
		LRELEASE=lrelease
	}
	system ( $${LRELEASE} qslideshow.pro )
}

prefix.path = $${WHICH_PREFIX}/bin
prefix.files = ../../bin/qslideshow

i18n.path = $${WHICH_PREFIX}/share/qdvdauthor
i18n.files = ../i18n/qslideshow_*.qm
#i18n.extra = $${LRELEASE} qslideshow.pro

IMAGES = ../images/checkered.png

TRANSLATIONS    = ../i18n/qslideshow_de.ts \
                  ../i18n/qslideshow_fr.ts \
                  ../i18n/qslideshow_es.ts \
				  ../i18n/qslideshow_ca.ts 

LIBS                   +=-L/usr/X11R6/lib64
INSTALLS                = prefix i18n
INCLUDEPATH             = ../ $$(ADD_INCLUDEDIR)
DESTDIR                 =../../bin
TEMPLATE                =app
CONFIG	               += qt thread warn_on $${WHICH_DEBUG}
QMAKE_CXXFLAGS_WARN_ON += -Wno-non-virtual-dtor
LANGUAGE                = C++
